Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.crosswire.jsword.book.filter.thml
Class BlockquoteTag

    java.lang.Object
      org.crosswire.jsword.book.filter.thml.AbstractTag
          org.crosswire.jsword.book.filter.thml.BlockquoteTag

All Implemented Interfaces:
  Tag

    public class BlockquoteTag

extends AbstractTag

THML Tag to process the blockquote element.

Author:
  Joe Walker
See Also:
  `The GNU Lesser General Public License for details.`

Constructor Summary
`BlockquoteTag()`

Method Summary
`String` | `getTagName()` What element does this class represent.
`org.jdom2.Element` | `processTag(Book book, Key key, org.jdom2.Element ele, Attributes attrs)` Make changes to the specified OSIS element given the attributes passed in the source document.

Methods inherited from class org.crosswire.jsword.book.filter.thml.AbstractTag
`processContent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BlockquoteTag

    public BlockquoteTag()

Method Detail

### getTagName

    public String getTagName()

  Description copied from interface: `Tag`
  What element does this class represent. For example the Tag that represents the font element would return the string "font".

  Returns:
    the element's tag name

### processTag

    public org.jdom2.Element processTag(Book book,
                                        Key key,
                                        org.jdom2.Element ele,
                                        Attributes attrs)

  Description copied from interface: `Tag`
  Make changes to the specified OSIS element given the attributes passed in the source document.

  Specified by:
    `processTag` in interface `Tag`
  Overrides:
    `processTag` in class `AbstractTag`
  Parameters:
    `book` - the book
    `key` - the key
    `ele` - The OSIS element to use as a parent
    `attrs` - The source document attributes.
  Returns:
    the element to which content is attached

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ¨ 2003-2015
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD